﻿Imports System.IO

Public Class frmDateiliste

    Private Sub btnFuellen_Click(sender As Object, e As EventArgs) Handles btnFuellen.Click
        Try

            Me.lstDateien.Items.Clear()
            Me.lblErgebnis.Text = ""


            If fbd.ShowDialog = DialogResult.OK Then  'Suchordner bestimmen

                Me.txtSuchordner.Text = fbd.SelectedPath
                Me.lblErgebnis.Text = "Einen Moment Geduld bitte! Ich suche..."
                Me.Refresh()

                Dim SuchOrdner As String = Me.txtSuchordner.Text

                'Könnte etwas dauern, deshalb Kursor-Darstellung auf Warten schalten
                Me.Cursor = Cursors.WaitCursor

                'LINQ- Anweisung
                Dim aH() As String = (From f In
                                          Directory.GetFiles(SuchOrdner, "*", SearchOption.AllDirectories)
                                      Where
                                              (
                                              f.EndsWith(".dotx") Or
                                              f.EndsWith(".dotm") Or
                                              f.EndsWith(".docx") Or
                                              f.EndsWith(".docm") Or
                                              f.EndsWith(".dot") Or
                                              f.EndsWith(".doc")
                                              ) And (Not f.Contains("~"))
                                          ).ToArray()
                'Fertig!
                Me.Cursor = Cursors.Default

                'Listbox füllen
                Me.lstDateien.Items.AddRange(aH)
                Me.lblErgebnis.Text = aH.Count & " Dateien gefunden!"
            End If

        Catch ex As Exception
            Me.Cursor = Cursors.Default
            MsgBox("Nicht behandelter Fehler:" & ex.ToString)
            Me.lblErgebnis.Text = "Fehler! Wahrscheinlich wolltest Du Verzeichnisse durchsuchen, auf die Du keine Berechtigung hast."
        End Try
    End Sub



    Private Sub llb_konschak_LinkClicked(sender As Object, e As LinkLabelLinkClickedEventArgs) Handles llb_konschak.LinkClicked
        Try
            Process.Start(TryCast(sender, LinkLabel).Text)
        Catch ex As Exception
        End Try
    End Sub
End Class
